#canvas-container {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    filter: blur(0.5rem);
    background: fixed;
}

body {
    font-size: larger;
    background-color: #000000;
    color: #ffffff;
    margin: 0;
    padding: 20px;
    overflow-x: hidden;
}

.terminal {
    padding: 20px;
    width: 90vw;
    max-width: 1600px; 
    height: auto;
    overflow-y: auto;
    float: left;
    margin: 0 auto;
}

.output {
    white-space: pre;
    overflow: hidden; 
    word-wrap: break-word; 
    white-space: pre-wrap; 
}

.input-line {
    display: flex;
    align-items: center;
}

.prompt {
    margin-right: 5px;
    color: green;
}

.bigAsciiArt {
    font-size: xx-large;
    color: green;
    margin-right: 5px;
}

.firstHelpText {
    font-size: x-large;
    color: green;
    margin-top: -30px;
    margin-right: 5px;
}

input {
    font-size: large;
    background: transparent;
    border: none;
    color: #ffffff;
    outline: none;
    flex-grow: 1;
}

/* Zurück Button */ 
#zurueck-button {
    display: flex;
    bottom: 20px;
    right: 20px;
    left: auto;
    top: auto;
    text-align: center;
    position: absolute;
    height: 3em;
    width: 100px;
    align-items: center;
    justify-content: center;
    border-radius: 3px;
    background-color: #121212;
    letter-spacing: 1px;
    transition: all 0.2s linear;
    cursor: pointer;
    border: none;
    color: #12c600;
    position: fixed;
}

#zurueck-button > svg {
    margin-right: 5px;
    margin-left: 5px;
    font-size: 20px;
    transition: all 0.4s ease-in;
}

#zurueck-button:hover > svg {
    font-size: 1.2em;
    transform: translateX(-5px);
}

#zurueck-button:hover {
    box-shadow: 9px 9px 33px #12c600, -9px -9px 33px #12c600;
    transform: translateY(-2px);
}

.timetable {
    width: 60%;
    border-collapse: collapse;
    margin: 10px 0;
    font-size: large;
    color: rgba(243, 243, 243, 0.904);
}

.timetable th, .timetable td {
    padding: 10px;
    text-align: center;
    border: 1px solid green;
    word-wrap: break-word;
}

.timetable th {
    color: #12c600;
}


.past-hour {
    background-color: #c0c0c028 !important; 
}

.current-hour {
    background-color: rgba(0, 75, 10, 0.37) !important; 
}

.past-day {
    background-color: #161616d2 !important; 
}

.current-day {
    background-color: rgba(0, 107, 14, 0.37) !important; 
}

.future-hour {
    background-color: #e6e6e600 !important; 
}

.table-mensa {
    font-size: 5px;
    width: 60%;
    border-collapse: collapse;
    margin: 10px 0;
    font-size: large;
    color: rgba(243, 243, 243, 0.904);
}

/* Style for headers and cells */
.th-mensa, .td-mensa {
    padding: 5px;
    text-align: center;
    border: 1px solid green;
    word-wrap: break-word;
}
@media only screen and (max-width: 768px) {
    body {
        font-size: small; 
        padding: 10px; 
    }
    .table-mensa {
        width: 20%;
        font-size: 5px;
        max-width: auto;
    }
    .timetable {
        width: 20%;
        font-size: 8px;
        max-width: auto;
    }

    .timetable th, .timetable td {
        padding: 5px;
    }
    .terminal {
        width: 95vw;
        padding: 10px;
    }

    .bigAsciiArt {
        font-size: large;
    }

    .firstHelpText {
        font-size: medium;
    }

    input {
        font-size: medium;
    }

    #output {
        max-height: 400px;
        overflow: hidden;
        word-wrap: break-word;
        white-space: pre-wrap; 
    }
}
